﻿@inherits ProjectsListViewModel

@if (Projects == null)
{
  <div class="d-flex justify-content-center m-5">
    <div class="spinner-grow purple" role="status">
      <span class="sr-only">Проекты загружаются. Пожалуйста, подождите...</span>
    </div>
  </div>
}
else
{
  <table class="table table-striped table-hover">
    <thead class="thead-dark">
      <tr>
        <th scope="col">Обозначение</th>
        <th scope="col">Имя</th>
      </tr>
    </thead>
    <tbody>
      @foreach (var project in Projects)
      {
        <tr class="hand-hover"
            onclick="@(() => SelectProjectExecute(project))">
          <td>@project.Sign</td>
          <td>@project.Name</td>
        </tr>
      }
    </tbody>
  </table>
}
